#include "TReadoutTilePair.hh"
ClassImp(TReadoutTilePair)

TReadoutTilePair::TReadoutTilePair()
{
  cout<<"This is TReadoutTilePair constructor"<<endl;
  SetTotalTilesHit(0);
  SetTile1SN(0);
  SetParticle1ID(0);
  SetEdep1(0.0);
  SetTile2SN(0);
  SetParticle2ID(0);
  SetEdep2(0.0);
  SetEdepTime(0.0);
} 

//  TReadoutTilePair::~TReadoutTilePair()
//  {
//    cout<<"This is TReadoutTilePair destructor"<<endl;
//  }

bool TReadoutTilePair::ResetBranch(bool condition)
{
  if(condition == false) return false;
  else {
    unsigned dummyint = 0;
    SetTotalTilesHit(dummyint);
    SetTile1SN(dummyint);
    SetParticle1ID(dummyint);
    SetEdep1((double)dummyint);
    SetTile2SN(dummyint);
    SetParticle2ID(dummyint);
    SetEdep2((double)dummyint);
    SetEdepTime((double)dummyint);
    return true;
  }
}

void TReadoutTilePair::CheckValues()
{
  cout<<endl<<"TotalTilesHit = "<<fTotalTilesHit
      <<", EdepTime = "<<fEdepTime<<endl
      <<"Tile1SN = "<<fTile1SN
      <<"\t\tTile2SN = "<<fTile2SN<<endl
      <<"Particle1ID = "<<fParticle1ID
      <<"\t\tParticle2ID = "<<fParticle2ID<<endl
      <<"Edep1 = "<<fEdep1
      <<"\t\tEdep2 = "<<fEdep2<<endl<<endl;
}
